Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives
Class ArrayShortList

    java.lang.Object
      org.apache.commons.collections.primitives.AbstractShortCollection
          org.apache.commons.collections.primitives.RandomAccessShortList
              org.apache.commons.collections.primitives.ArrayShortList

All Implemented Interfaces:
  Serializable, ShortCollection, ShortList

public class ArrayShortList
extends RandomAccessShortList
implements ShortList, Serializable

An `ShortList` backed by an array of `short`s. This implementation supports all optional methods.

Since:
  Commons Primitives 1.0
Version:
  $Revision: 1.3 $ $Date: 2003/10/16 20:49:36 $
Author:
  Rodney Waldhoff
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.commons.collections.primitives.RandomAccessShortList
`RandomAccessShortList.RandomAccessShortListIterator, RandomAccessShortList.RandomAccessShortSubList`

Constructor Summary
`ArrayShortList()` Construct an empty list with the default initial capacity.
`ArrayShortList(int initialCapacity)` Construct an empty list with the given initial capacity.
`ArrayShortList(ShortCollection that)` Constructs a list containing the elements of the given collection, in the order they are returned by that collection's iterator.

Method Summary
`void` | `add(int index, short element)` Inserts the specified element at the specified position (optional operation).
`void` | `ensureCapacity(int mincap)` Increases my capacity, if necessary, to ensure that I can hold at least the number of elements specified by the minimum capacity argument without growing.
`short` | `get(int index)` Returns the value of the element at the specified position within me.
`short` | `removeElementAt(int index)` Removes the element at the specified position in (optional operation).
`short` | `set(int index, short element)` Replaces the element at the specified position in me with the specified element (optional operation).
`int` | `size()` Returns the number of elements I contain.
`void` | `trimToSize()` Reduce my capacity, if necessary, to match my current `size`.

Methods inherited from class org.apache.commons.collections.primitives.RandomAccessShortList
`add, addAll, equals, getModCount, hashCode, incrModCount, indexOf, iterator, lastIndexOf, listIterator, listIterator, subList, toString`

Methods inherited from class org.apache.commons.collections.primitives.AbstractShortCollection
`addAll, clear, contains, containsAll, isEmpty, removeAll, removeElement, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.primitives.ShortList
`add, addAll, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, subList`

Methods inherited from interface org.apache.commons.collections.primitives.ShortCollection
`addAll, clear, contains, containsAll, isEmpty, removeAll, removeElement, retainAll, toArray, toArray`

Constructor Detail

### ArrayShortList

    public ArrayShortList()

  Construct an empty list with the default initial capacity.

### ArrayShortList

    public ArrayShortList(int initialCapacity)

  Construct an empty list with the given initial capacity.

Throws:
  `IllegalArgumentException` - when initialCapacity is negative

### ArrayShortList

    public ArrayShortList(ShortCollection that)

  Constructs a list containing the elements of the given collection, in the order they are returned by that collection's iterator.

Parameters:
  `that` - the non-`null` collection of `short`s to add
Throws:
  `NullPointerException` - if that is `null`
See Also:
  `AbstractShortCollection.addAll(org.apache.commons.collections.primitives.ShortCollection)`

Method Detail

### get

    public short get(int index)

  Description copied from interface: `ShortList`
  Returns the value of the element at the specified position within me.

  Specified by:
    `get` in interface `ShortList`
  Specified by:
    `get` in class `RandomAccessShortList`

### size

    public int size()

  Description copied from interface: `ShortCollection`
  Returns the number of elements I contain.

  Specified by:
    `size` in interface `ShortCollection`
  Specified by:
    `size` in class `RandomAccessShortList`

### removeElementAt

    public short removeElementAt(int index)

  Removes the element at the specified position in (optional operation). Any subsequent elements are shifted to the left, subtracting one from their indices. Returns the element that was removed.

  Specified by:
    `removeElementAt` in interface `ShortList`
  Overrides:
    `removeElementAt` in class `RandomAccessShortList`
  Parameters:
    `index` - the index of the element to remove
  Returns:
    the value of the element that was removed
  Throws:
    `UnsupportedOperationException` - when this operation is not supported
    `IndexOutOfBoundsException` - if the specified index is out of range

### set

    public short set(int index,
                     short element)

  Replaces the element at the specified position in me with the specified element (optional operation).

  Specified by:
    `set` in interface `ShortList`
  Overrides:
    `set` in class `RandomAccessShortList`
  Parameters:
    `index` - the index of the element to change
    `element` - the value to be stored at the specified position
  Returns:
    the value previously stored at the specified position
  Throws:
    `UnsupportedOperationException` - when this operation is not supported
    `IndexOutOfBoundsException` - if the specified index is out of range

### add

    public void add(int index,
                    short element)

  Inserts the specified element at the specified position (optional operation). Shifts the element currently at that position (if any) and any subsequent elements to the right, increasing their indices.

  Specified by:
    `add` in interface `ShortList`
  Overrides:
    `add` in class `RandomAccessShortList`
  Parameters:
    `index` - the index at which to insert the element
    `element` - the value to insert
  Throws:
    `UnsupportedOperationException` - when this operation is not supported
    `IllegalArgumentException` - if some aspect of the specified element prevents it from being added to me
    `IndexOutOfBoundsException` - if the specified index is out of range

### ensureCapacity

    public void ensureCapacity(int mincap)

  Increases my capacity, if necessary, to ensure that I can hold at least the number of elements specified by the minimum capacity argument without growing.

### trimToSize

    public void trimToSize()

  Reduce my capacity, if necessary, to match my current `size`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.